function onCreate()
	-- background shit

	makeLuaSprite('6', 'bgaethos', -800, -800);
	setScrollFactor('6', 0, 0);
	scaleObject('6', 7, 7);



	
	makeLuaSprite('stagefront', 'osfground', -8000, 250);
	setScrollFactor('stagefront', 1, 1);
	scaleObject('stagefront', 16.1, 6.1);


	makeLuaSprite('7', 'bg2', -800, -800);
	setScrollFactor('7', 0, 0);
        setProperty('7.visible', false);
	scaleObject('7', 7, 7);

	
	makeLuaSprite('stagefront2', 'osfground2', -8000, 250);
	setScrollFactor('stagefront2', 1, 1);
        setProperty('stagefront2.visible', false);
	scaleObject('stagefront2', 16.1, 6.1);

	makeLuaSprite('head', 'aethoshead', 200, -350);
	setScrollFactor('head', 0.6, 0.6);
        setProperty('head.visible', false);
	scaleObject('head', 2, 2);

	makeLuaSprite('8', 'finalbgaethos', -800, -800);
	setScrollFactor('8', 0, 0);
        setProperty('8.visible', false);
	scaleObject('8', 12, 12);

	makeLuaSprite('finale', 'theendofosfunkin', -1100, -1200);
	setScrollFactor('finale', 0, 0);
        setProperty('finale.visible', false);
	scaleObject('finale', 3, 3);


	makeLuaSprite('pre', 'finalbgaethos', -800, -800);
	setScrollFactor('pre', 0, 0);
        setProperty('pre.visible', true);
	scaleObject('pre', 12, 12);

	addLuaSprite('6', false);


	addLuaSprite('stagefront', false);

	addLuaSprite('7', false);
	addLuaSprite('head', false);
	addLuaSprite('stagefront2', false);
	addLuaSprite('8', false);
	addLuaSprite('finale', true);
	addLuaSprite('pre', true);


end

function onStepHit()
	if curStep == 1 then
	setProperty('camGame.alpha', 0);
	setProperty('camHUD.alpha', 0);
	end
	if curStep == 64 then
	setProperty('camGame.alpha', 1);
	setProperty('camHUD.alpha', 1);
        setProperty('pre.visible', false);
	end
	if curStep == 828 then
	setProperty('camGame.alpha', 0);
	end
	if curStep == 832 then
	setProperty('camGame.alpha', 1);
        setProperty('head.visible', true);
	end

	if curStep == 1664 then
        setProperty('7.visible', true);
        setProperty('stagefront2.visible', true);
	end

	if curStep == 2176 then
	setProperty('camGame.alpha', 0);
	setProperty('camHUD.alpha', 0);
	end

	if curStep == 3311 then
	setProperty('camGame.alpha', 1);
        setProperty('8.visible', true);
	setProperty('camHUD.alpha', 1);
	end
	if curStep == 3568 then
	setProperty('camGame.alpha', 0);
	setProperty('camHUD.alpha', 0);
	end

	if curStep == 3600 then
	setProperty('camGame.alpha', 1);
	setProperty('camHUD.alpha', 0);
        setProperty('finale.visible', true);
	end
end

